org.apache.catalina.tribes.group.interceptors

## Interface MessageDispatchInterceptorMBean

- All Known Implementing Classes:
    MessageDispatchInterceptor

      public interface MessageDispatchInterceptorMBean

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActiveCount()`
    `long` | `getCompletedTaskCount()`
    `long` | `getCurrentSize()`
    `long` | `getKeepAliveTime()`
    `long` | `getMaxQueueSize()`
    `int` | `getMaxSpareThreads()`
    `int` | `getMaxThreads()`
    `int` | `getOptionFlag()`
    `int` | `getPoolSize()`
    `long` | `getTaskCount()`
    `boolean` | `isAlwaysSend()`
    `void` | `setAlwaysSend(boolean alwaysSend)`

- - ### Method Detail

    - #### getOptionFlag

          int getOptionFlag()

    - #### isAlwaysSend

          boolean isAlwaysSend()

    - #### setAlwaysSend

          void setAlwaysSend(boolean alwaysSend)

    - #### getMaxQueueSize

          long getMaxQueueSize()

    - #### getCurrentSize

          long getCurrentSize()

    - #### getKeepAliveTime

          long getKeepAliveTime()

    - #### getMaxSpareThreads

          int getMaxSpareThreads()

    - #### getMaxThreads

          int getMaxThreads()

    - #### getPoolSize

          int getPoolSize()

    - #### getActiveCount

          int getActiveCount()

    - #### getTaskCount

          long getTaskCount()

    - #### getCompletedTaskCount

          long getCompletedTaskCount()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.